/**
 * @file
 * Default caching & performance settings, to be appended to settings.php.
 *
 * Available tokens:
 *   %profile-name: The site profile name.
 */

/**
 * Memcache configuration.
 */
// Use memcache as the lock backend.
$conf['lock_inc'] = 'profiles/microserve/modules/contrib/memcache/memcache-lock.inc';
$conf['cache_backends'][] = 'profiles/microserve/modules/contrib/memcache/memcache.inc';
// Use memcache as the default cache backend.
$conf['cache_default_class'] = 'MemCacheDrupal';
// The 'cache_form' bin must be assigned to non-volatile storage.
$conf['cache_class_cache_form'] = 'DrupalDatabaseCache';

// @todo Split into extra bins/servers.
$conf['memcache_servers'] = array(
  'localhost:11211' => 'default',
  'localhost:11212' => 'semaphore',
);
$conf['memcache_bins'] = array(
  'cache' => 'default',
  'semaphore' => 'semaphore',
);
$conf['memcache_key_prefix'] = '%profile-name';

/**
 * MongoDB configuration.
 */
/*
$conf['mongodb_connections'] = array(
  // Connection name/alias
  'default' => array(
    // Omit USER:PASS@ if Mongo isn't configured to use authentication.
    'host' => 'mongodb://localhost',
    // Database name
    'db' => '%profile-name',
  ),
);
$conf['cache_backends'][] = 'profiles/microserve/modules/contrib/mongodb/mongodb_cache/mongodb_cache.inc';
// The 'cache_form' bin must be assigned to non-volatile storage.
$conf['cache_class_cache_form'] = 'DrupalMongoDBCache';
$conf['queue_default_class'] = 'MongoDBQueue';
// */

/**
 * Varnish configuration.
 *
 * @see https://drupal.org/node/1196916
 */
/*
// Add Varnish as the page cache handler.
$conf['cache_backends'][] = 'profiles/microserve/modules/contrib/varnish/varnish.cache.inc';
$conf['cache_class_cache_page'] = 'VarnishCache';

$conf['reverse_proxy'] = TRUE;
$conf['reverse_proxy_header'] = 'HTTP_X_FORWARDED_FOR';
$conf['reverse_proxy_addresses'] = array('127.0.0.1');
$conf['omit_vary_cookie'] = TRUE;
// */

// Don't bootstrap the database when serving pages from the cache.
$conf['page_cache_without_database'] = TRUE;
// Drupal 7 does not cache pages which invoke hooks during bootstrap.
$conf['page_cache_invoke_hooks'] = FALSE;
